Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb
Class InjectionSettingsFactory

    java.lang.Object
      org.hibernate.cfg.SettingsFactory
          org.hibernate.ejb.InjectionSettingsFactory

All Implemented Interfaces:
  java.io.Serializable

    public class InjectionSettingsFactory

extends org.hibernate.cfg.SettingsFactory

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.cfg.SettingsFactory
`DEF_CACHE_PROVIDER`

Constructor Summary
`InjectionSettingsFactory()`

Method Summary
`protected org.hibernate.connection.ConnectionProvider` | `createConnectionProvider(java.util.Properties properties)`
`void` | `setConnectionProviderInjectionData(java.util.Map connectionProviderInjectionData)` Map where the key represents the javabean property in witch Object will be injected

Methods inherited from class org.hibernate.cfg.SettingsFactory
`buildBytecodeProvider, buildSettings, createBatcherFactory, createCacheProvider, createQueryCacheFactory, createQueryTranslatorFactory, createTransactionFactory, createTransactionManagerLookup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InjectionSettingsFactory

    public InjectionSettingsFactory()

Method Detail

### setConnectionProviderInjectionData

    public void setConnectionProviderInjectionData(java.util.Map connectionProviderInjectionData)

  Map where the key represents the javabean property in witch Object will be injected

  Parameters:
    `connectionProviderInjectionData` -

### createConnectionProvider

    protected org.hibernate.connection.ConnectionProvider createConnectionProvider(java.util.Properties properties)

  Overrides:
    `createConnectionProvider` in class `org.hibernate.cfg.SettingsFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD